/*
 * Tencent is pleased to support the open source community by making  XiaoweiSDK Demo Codes available.
 *
 * Copyright (C) 2017 THL A29 Limited, a Tencent company. All rights reserved.
 *
 * Licensed under the MIT License (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://opensource.org/licenses/MIT
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 *
 */
#include "CommonDef.h"

#ifdef __cplusplus
extern "C" {
#endif

extern jobject tx_service;

/* xiaowei device */

/**
 * 设备退出成功的回调
 */
void xiaowei_on_device_reboot(void)
{
    __android_log_print(ANDROID_LOG_INFO, LOGFILTER, "xiaowei_on_device_reboot");

	if (tx_service) {
		bool needRelease = false;
		JNIEnv *env = Util_CreateEnv(&needRelease);
		if (!env)
			return;

		jclass cls = env->GetObjectClass(tx_service);
		//todo
		// jmethodID methodID = env->GetMethodID(cls, "onDeviceReboot", "()V");

		// if (methodID) {
		// 	env->CallVoidMethod(tx_service, methodID);
		// }

		if (needRelease) {
			Util_ReleaseEnv();
		}
	}
}
void xiaowei_on_device_exit() {
	__android_log_print(ANDROID_LOG_INFO, LOGFILTER, "xiaowei_on_device_exit");

	if (tx_service) {
		bool needRelease = false;
		JNIEnv *env = Util_CreateEnv(&needRelease);
		if (!env)
			return;

		jclass cls = env->GetObjectClass(tx_service);
		//todo
		// jmethodID methodID = env->GetMethodID(cls, "onDeviceExit", "()V");

		// if (methodID) {
		// 	env->CallVoidMethod(tx_service, methodID);
		// }

		if (needRelease) {
			Util_ReleaseEnv();
		}
	}
}



#ifdef __cplusplus
}
#endif