package com.tencent.xiaowei.info;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * 绑定者/好友信息
 */
public class DeviceBinderInfo implements Parcelable {

    /**
     * 用户名
     */
    public String userName;

    /**
     * 昵称
     */
    public byte[] nickName;

    /**
     * 头像URL
     */
    public String headImgUrl;

    /**
     * 备注
     */
    public byte[] remark;

    /**
     * 性别：0男，1女，其它未知
     */
    public int sex;

    /**
     * 这个信息内部使用，用户可以忽略
     */
    public String exportId;

    /**
     * 绑定者类型，1管理员，0普通
     */
    public int type;


    public DeviceBinderInfo() {
        sex = 0;
    }

    protected DeviceBinderInfo(Parcel in) {
        userName = in.readString();
        nickName = in.createByteArray();
        headImgUrl = in.readString();
        remark = in.createByteArray();
        sex = in.readInt();
        exportId = in.readString();
        type = in.readInt();
    }

    public static final Creator<DeviceBinderInfo> CREATOR = new Creator<DeviceBinderInfo>() {
        @Override
        public DeviceBinderInfo createFromParcel(Parcel in) {
            return new DeviceBinderInfo(in);
        }

        @Override
        public DeviceBinderInfo[] newArray(int size) {
            return new DeviceBinderInfo[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(userName);
        dest.writeByteArray(nickName);
        dest.writeString(headImgUrl);
        dest.writeByteArray(remark);
        dest.writeInt(sex);
        dest.writeString(exportId);
        dest.writeInt(type);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        DeviceBinderInfo info = new DeviceBinderInfo();
        info.userName = userName;
        info.headImgUrl = headImgUrl;
        info.nickName = nickName;
        info.remark = remark;
        info.sex = sex;
        info.exportId = exportId;
        info.type = type;
        return info;
    }
}