/*
 * Tencent is pleased to support the open source community by making  XiaoweiSDK Demo Codes available.
 *
 * Copyright (C) 2017 THL A29 Limited, a Tencent company. All rights reserved.
 *
 * Licensed under the MIT License (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://opensource.org/licenses/MIT
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 *
 */
package com.tencent.xiaowei.info;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * 位置信息
 */
public class DeviceLocationInfo implements Parcelable {

    public boolean          isGpsAvailable;
    public double           longitude;           // 经度
    public double           latitude;            // 纬度
    public double           altitude;            // 海拔
    public long             utcTime;             // 时间
    public double           speed;               // 速度

    public DeviceLocationInfo(boolean isGpsAvailable, double longitude, double latitude ,
        double altitude, long utcTime, double speed) {
        this.isGpsAvailable = isGpsAvailable;
        this.longitude = longitude;
        this.latitude = latitude;
        this.altitude = altitude;
        this.utcTime = utcTime;
        this.speed = speed;
    }

    public DeviceLocationInfo()
    {
        isGpsAvailable = false;
    }

    protected DeviceLocationInfo(Parcel in) {
        isGpsAvailable = in.readByte() != 0;
        longitude = in.readDouble();
        latitude = in.readDouble();
        altitude = in.readDouble();
        utcTime = in.readInt();
        speed = in.readDouble();
    }

    public static final Parcelable.Creator<DeviceLocationInfo> CREATOR = new Parcelable.Creator<DeviceLocationInfo>() {
        @Override
        public DeviceLocationInfo createFromParcel(Parcel in) {
            return new DeviceLocationInfo(in);
        }

        @Override
        public DeviceLocationInfo[] newArray(int size) {
            return new DeviceLocationInfo[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeByte((byte) (isGpsAvailable ? 1 : 0));
        dest.writeDouble(longitude);
        dest.writeDouble(latitude);
        dest.writeDouble(altitude);
        dest.writeLong(utcTime);
        dest.writeDouble(speed);
    }

    @Override
    public String toString() {
        return "DeviceLocationInfo{" +
                "is_gps_available=" + isGpsAvailable +
                "longitude=" + longitude +
                ", latitude=" + latitude +
                '}';
    }
}
