package com.tencent.xiaowei.info;

import android.os.Parcel;
import android.os.Parcelable;

import com.tencent.xiaowei.util.JsonUtil;

public class DeviceLoginInfo implements Parcelable {
    /**
     * 设备平台，请填Android
     */
    public String osPlatform;
    /**
     * 设备授权码
     */
    public String license;
    /**
     * 设备序列号
     */
    public String serialNumber;
    /**
     * 秘钥版本
     */
    public int keyVersion;
    /**
     * 产品ID
     */
    public int productId;
    /**
     * 产品版本
     */
    public long productVersion;
    /**
     * 运行模式
     */
    public int runMode;
    /**
     * 系统路径 ，SDK会在该目录下写入保证正常运行必需的配置信息
     */
    public String sysPath;
    /**
     * 系统路径下存储空间大小 ，至少10M，设置0为不限制。
     */
    public long sysCapacity;
    /**
     * 设备在小微平台注册的appid
     */
    public String appid;



    public DeviceLoginInfo() {
        osPlatform = "Android";
        runMode = 0;
        sysCapacity = 0;
    }

    protected DeviceLoginInfo(Parcel in) {
        osPlatform = in.readString();
        license = in.readString();
        serialNumber = in.readString();
        keyVersion = in.readInt();
        productId = in.readInt();
        productVersion = in.readLong();
        runMode = in.readInt();
        sysPath = in.readString();
        sysCapacity = in.readLong();
        appid = in.readString();
    }

    public static final Creator<DeviceLoginInfo> CREATOR = new Creator<DeviceLoginInfo>() {
        @Override
        public DeviceLoginInfo createFromParcel(Parcel in) {
            return new DeviceLoginInfo(in);
        }

        @Override
        public DeviceLoginInfo[] newArray(int size) {
            return new DeviceLoginInfo[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(osPlatform);
        dest.writeString(license);
        dest.writeString(serialNumber);
        dest.writeInt(keyVersion);
        dest.writeInt(productId);
        dest.writeLong(productVersion);
        dest.writeInt(runMode);
        dest.writeString(sysPath);
        dest.writeLong(sysCapacity);
        dest.writeString(appid);
    }

    @Override
    public String toString() {
        return JsonUtil.toJson(this);
    }
}
