package com.tencent.xiaowei.info;

import android.os.Parcel;
import android.os.Parcelable;

import com.tencent.xiaowei.util.JsonUtil;

public class DeviceOTAInfo implements Parcelable {
    /**
     * 更新设置的时间，单位秒
     */
    public long updateTime;
    /**
     * 更新类型，UNKNOWN = 0, SOFTWARE = 1, FIRMWARE = 2, HARDWARE = 3, only SOFTWARE support currently
     */
    public int updateType;
    /**
     * 查询到的最新版本
     */
    public long version;
    /**
     * 更新推荐程度
     */
    public int updateLevel;
    /**
     * 更新开发版本
     */
    public int devFlag;
    /**
     * 新版本名称
     */
    public String versionName;
    /**
     * 新版本tips
     */
    public String updateTips;
    /**
     * 升级额外信息
     */
    public String extraInfo;
    /**
     * 升级包大小
     */
    public long packSize;
    /**
     * 升级包下载URL
     */
    public String packUrl;
    /**
     * 升级包校验类型 MD5 = 1, SHA1 = 2, SHA256 = 3
     */
    public int packHashType;
    /**
     * 升级包校验值
     */
    public String packHash;


    public DeviceOTAInfo() {
        updateLevel = 0;
        updateTime = 0;
        updateType = 0;
        version = 0;
        devFlag = 0;
        packHashType = 0;
        packSize = 0;
    }

    protected DeviceOTAInfo(Parcel in) {
        updateTime = in.readLong();
        updateType = in.readInt();
        version = in.readLong();
        updateLevel = in.readInt();
        devFlag = in.readInt();
        versionName = in.readString();
        updateTips = in.readString();
        extraInfo = in.readString();
        packSize = in.readLong();
        packUrl = in.readString();
        packHashType = in.readInt();
        packHash = in.readString();
    }

    public static final Creator<DeviceOTAInfo> CREATOR = new Creator<DeviceOTAInfo>() {
        @Override
        public DeviceOTAInfo createFromParcel(Parcel in) {
            return new DeviceOTAInfo(in);
        }

        @Override
        public DeviceOTAInfo[] newArray(int size) {
            return new DeviceOTAInfo[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeLong(updateTime);
        dest.writeInt(updateType);
        dest.writeLong(version);
        dest.writeInt(updateLevel);
        dest.writeInt(devFlag);
        dest.writeString(versionName);
        dest.writeString(updateTips);
        dest.writeString(extraInfo);
        dest.writeLong(packSize);
        dest.writeString(packUrl);
        dest.writeInt(packHashType);
        dest.writeString(packHash);
    }

    @Override
    public String toString() {
        return JsonUtil.toJson(this);
    }
}
