/*
 * Tencent is pleased to support the open source community by making  XiaoweiSDK Demo Codes available.
 *
 * Copyright (C) 2017 THL A29 Limited, a Tencent company. All rights reserved.
 *
 * Licensed under the MIT License (the "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://opensource.org/licenses/MIT
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 *
 */
package com.tencent.xiaowei.info;

import android.os.Parcel;
import android.os.Parcelable;

import com.tencent.xiaowei.util.JsonUtil;


/**
 * 设备信息
 */
public class DeviceProfile implements Parcelable {
    /**
     * 设备默认头像
     */
    public String      defaultDeviceHead;

    /**
     * 设备默认名称
     */
    public String      defaultDeviceName;

    /**
     * 设备头像
     */
    public String      DeviceHead;

    /**
     * 设备名称
     */
    public String 	   DeviceName;


    public DeviceProfile() {}

    protected DeviceProfile(Parcel in) {
    	defaultDeviceHead = in.readString();
        defaultDeviceName = in.readString();
        DeviceHead = in.readString();
        DeviceName = in.readString();
    }

    public static final Parcelable.Creator<DeviceProfile> CREATOR = new Parcelable.Creator<DeviceProfile>() {
        @Override
        public DeviceProfile createFromParcel(Parcel in) {
            return new DeviceProfile(in);
        }

        @Override
        public DeviceProfile[] newArray(int size) {
            return new DeviceProfile[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(defaultDeviceHead);
        dest.writeString(defaultDeviceName);
        dest.writeString(DeviceHead);
        dest.writeString(DeviceName);
    }

    @Override
    public String toString() {
        return JsonUtil.toJson(this);
    }
}