package com.tencent.xiaowei.info;

import android.os.Parcel;
import android.os.Parcelable;


/**
 * VOIP
 */
public class ILinkVoipInfo implements Parcelable { 

    public int errCode;
    public long roomId;
    public String groupId;
    public String sessionKey;
    public String appId;

    public ILinkVoipInfo() {
        errCode = 0;
        roomId = 0;
    }

    protected ILinkVoipInfo(Parcel in) {
        errCode = in.readInt();
        roomId = in.readInt();
        groupId = in.readString();
        sessionKey = in.readString();
        appId = in.readString();
    }

    public static final Creator<ILinkVoipInfo> CREATOR = new Creator<ILinkVoipInfo>() {
        @Override
        public ILinkVoipInfo createFromParcel(Parcel in) {
            return new ILinkVoipInfo(in);
        }

        @Override
        public ILinkVoipInfo[] newArray(int size) {
            return new ILinkVoipInfo[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(errCode);
        dest.writeLong(roomId);
        dest.writeString(groupId);
        dest.writeString(sessionKey);
        dest.writeString(appId);
    }

    @Override
    public Object clone() throws CloneNotSupportedException {
        ILinkVoipInfo info = new ILinkVoipInfo();
        info.errCode = errCode;
        info.roomId = roomId;
        info.groupId = groupId;
        info.sessionKey = sessionKey;
        info.appId = appId;
        return info;
    }
}