package com.tencent.xiaowei.info;

import com.tencent.xiaowei.util.JsonUtil;

public class XWResponseUtil {
    public static XWResponseInfo fromCmdJson(String json) {
        CmdRsp cmdRsp = JsonUtil.getObject(json, CmdRsp.class);
        if (cmdRsp == null) {
            return new XWResponseInfo();
        }
        XWResponseInfo rsp = new XWResponseInfo();
        rsp.appInfo = cmdRsp.skill_info;
        if (cmdRsp.skill_info != null) {
            rsp.appInfo.ID = cmdRsp.skill_info.id;
        }

        if (cmdRsp.resource_groups != null && cmdRsp.resource_groups.length > 0) {
            rsp.resources = new XWResGroupInfo[cmdRsp.resource_groups.length];
            for (int i = 0; i < cmdRsp.resource_groups.length; i++) {
                XWResGroupInfo.CmdRsp group = cmdRsp.resource_groups[i];
                rsp.resources[i] = new XWResGroupInfo();
                if (group.resources != null && group.resources.length > 0) {
                    rsp.resources[i].resources = new XWResourceInfo[group.resources.length];
                    for (int j = 0; j < rsp.resources[i].resources.length; j++) {
                        XWResourceInfo.CmdRsp resouce = group.resources[j];
                        rsp.resources[i].resources[j] = new XWResourceInfo();
                        rsp.resources[i].resources[j].format = resouce.format;
                        rsp.resources[i].resources[j].ID = resouce.id;
                        rsp.resources[i].resources[j].content = resouce.content;
                        rsp.resources[i].resources[j].extendInfo = resouce.extend_buffer;
                        rsp.resources[i].resources[j].offset = resouce.offset;
                        rsp.resources[i].resources[j].playCount = resouce.play_count;
                    }
                }
            }
        }
        rsp.resourceListType = cmdRsp.resource_list_type;
        rsp.hasMorePlaylist = cmdRsp.has_more_playlist;
        rsp.hasMorePlaylistUp = cmdRsp.has_more_playlist_up;
        rsp.hasHistoryPlaylist = cmdRsp.has_history_playlist;
        rsp.playBehavior = cmdRsp.play_behavior;
        rsp.controlID = cmdRsp.control_id;
        rsp.controlValue = cmdRsp.control_value;
        rsp.responseData = cmdRsp.response_data;
        rsp.context = new XWContextInfo();
        if (cmdRsp.context != null) {
            rsp.context.ID = cmdRsp.context.id;
            rsp.context.silentTimeout = cmdRsp.context.silent_timeout;
            rsp.context.speakTimeout = cmdRsp.context.speak_timeout;
        }
        return rsp;
    }

    private class CmdRsp {
        public XWAppInfo skill_info;
        public XWResGroupInfo.CmdRsp[] resource_groups;
        public int resource_list_type;
        public boolean has_more_playlist;
        public boolean has_history_playlist;
        public int play_behavior;
        public XWContextInfo.CmdRsp context;
        public int control_id;
        public String control_value;
        public String response_data;
        public boolean has_more_playlist_up;
    }
}
