package com.tencent.xiaowei.sdk;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;

import static com.tencent.xiaowei.def.XWCommonDef.ErrorCode.ERROR_FAILED;
import static com.tencent.xiaowei.def.XWCommonDef.ErrorCode.ERROR_NULL_SUCC;

public class XwEncoder {

    private static final String TAG = "XwEncoder";

    public int XwEncoderEncode(String input_path,String key,String output_path){
        int errorcode = ERROR_NULL_SUCC;
        long decoder = DeviceSDK.getInstance().decoderCreate(key);
        try {
            OutputStream output = new FileOutputStream(output_path);
            FileInputStream input = new FileInputStream(input_path);
            byte[] buffer = new byte[4096];
            int offset = 0;
            int numRead = 0;
            while ((numRead = input.read(buffer)) > 0) {
                DeviceSDK.getInstance().decoderDecode(decoder,buffer,numRead,offset);
                output.write(buffer, 0, numRead);
                offset += numRead;
            }
            input.close();
            output.flush();
            output.close();
        } catch (FileNotFoundException e) {
            e.printStackTrace();
            errorcode = ERROR_FAILED;
        } catch (IOException e) {
            e.printStackTrace();
            errorcode = ERROR_FAILED;
        }
        if (decoder != 0) {
            DeviceSDK.getInstance().decoderDestroy(decoder);
        }
        return errorcode;
    }
}
